## org.opengis.go.display.canvas.web
Interface WebCanvas

All Superinterfaces:
  Canvas

All Known Subinterfaces:
  WebMap2D

    public interface WebCanvas

extends Canvas

The `WebCanvas` interface extends the functionality of `Canvas` and adds a specific method for rendering which is conspicuous in its absence from the `Canvas` interface.

Method Summary
`void` `render(Graphics g)` Renders this `WebCanvas`'s map image using the given `Graphics` object.

Methods inherited from interface Canvas

`add, addAsEditable, addCanvasListener, addEventManager, dispose, disposeEventManagers, enableCanvasHandler, findEventManager, getActiveCanvasHandler, getDisplayCoordinateReferenceSystem, getDisplayToObjectiveTransform, getFactory, getGraphicsAt, getGraphicsIn, getImplHint, getObjectiveCoordinateReferenceSystem, getObjectiveToDisplayTransform, getState, getTitle, getTopGraphicAt, getUID, isVisible, remove, removeCanvasHandler, removeCanvasListener, setImplHint, setObjectiveCoordinateReferenceSystem, setObjectiveCoordinateReferenceSystem, setTitle`

Method Detail

### render

    void render(Graphics g)

  Renders this `WebCanvas`'s map image using the given `Graphics` object. The immediate use case is for creating WMS (or other webapp) map images using the `Graphics` from a `BufferedImage`, though any case with a need for on-demand rendering could be satisfied with this method

  Parameters:
    `g` -

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.